export declare class RadioButtonGroup {
    private errorStates;
    el: HTMLIfxRadioButtonGroupElement;
    readonly alignment: "horizontal" | "vertical";
    readonly size: string;
    readonly showGroupLabel: boolean;
    readonly groupLabelText: string;
    readonly showCaption: boolean;
    readonly captionText: string;
    readonly showCaptionIcon: boolean;
    readonly required: boolean;
    hasErrors: boolean;
    handleRadioButtonError(event: CustomEvent): void;
    setGroupError(error: boolean): Promise<void>;
    componentWillLoad(): void;
    componentDidLoad(): Promise<void>;
    private handleSlotChange;
    private initializeState;
    private updateHasErrors;
    render(): any;
}
